Index: restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/SubscribeToStreamUtil.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/SubscribeToStreamUtil.java	(date 1552495422000)
+++ restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/SubscribeToStreamUtil.java	(date 1559251775000)
@@ -306,7 +306,8 @@
     static URI prepareUriByStreamName(final UriInfo uriInfo, final String streamName) {
         final UriBuilder uriBuilder = uriInfo.getBaseUriBuilder();
 
-        prepareNotificationPort(uriInfo.getBaseUri().getPort());
+        prepareNotificationPort(RestconfStreamsConstants.NOTIFICATION_PORT);
+        uriBuilder.port(RestconfStreamsConstants.NOTIFICATION_PORT);
         uriBuilder.scheme(RestconfStreamsConstants.SCHEMA_SUBSCIBRE_URI);
         return uriBuilder.replacePath(streamName).build();
     }
Index: restconf/restconf-nb-rfc8040/src/test/java/org/opendaylight/restconf/nb/rfc8040/rests/services/impl/RestconfStreamsSubscriptionServiceImplTest.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- restconf/restconf-nb-rfc8040/src/test/java/org/opendaylight/restconf/nb/rfc8040/rests/services/impl/RestconfStreamsSubscriptionServiceImplTest.java	(date 1552495422000)
+++ restconf/restconf-nb-rfc8040/src/test/java/org/opendaylight/restconf/nb/rfc8040/rests/services/impl/RestconfStreamsSubscriptionServiceImplTest.java	(date 1559251854000)
@@ -159,7 +159,7 @@
                         "data-change-event-subscription/toaster:toaster/toasterStatus/datastore=OPERATIONAL/scope=ONE",
                         this.uriInfo);
         assertEquals(
-                "ws://localhost:8181/data-change-event-subscription"
+                "ws://localhost:8185/data-change-event-subscription"
                         + "/toaster:toaster/toasterStatus/datastore=OPERATIONAL/scope=ONE",
             response.getNewHeaders().get("Location").toString());
     }
Index: restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/streams/websockets/WebSocketServer.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/streams/websockets/WebSocketServer.java	(date 1552495422000)
+++ restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/streams/websockets/WebSocketServer.java	(date 1559239521000)
@@ -32,10 +32,15 @@
 
     private EventLoopGroup bossGroup;
     private EventLoopGroup workerGroup;
+    private Thread webSocketServerThread;
 
 
     private WebSocketServer(final int port) {
         this.port = port;
+
+        webSocketServerThread = new Thread(this);
+        webSocketServerThread.setName("Web socket server on port " + port);
+        webSocketServerThread.start();
     }
 
     /**
@@ -120,6 +125,8 @@
             workerGroup.shutdownGracefully();
             workerGroup = null;
         }
+
+        webSocketServerThread.interrupt();
     }
 
 }
Index: restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/RestconfStreamsConstants.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/RestconfStreamsConstants.java	(date 1552495422000)
+++ restconf/restconf-nb-rfc8040/src/main/java/org/opendaylight/restconf/nb/rfc8040/rests/utils/RestconfStreamsConstants.java	(date 1559251775000)
@@ -48,7 +48,7 @@
 
     public static final String SCOPE_URI = RestconfConstants.SLASH + SCOPE_PARAM_NAME + EQUAL;
 
-    public static final int NOTIFICATION_PORT = 8181;
+    public static final int NOTIFICATION_PORT = 8185;
 
     public static final String SCHEMA_SUBSCIBRE_URI = "ws";
 
